Index: cpukit/libmisc/capture/capture-cli.c
===================================================================
--- cpukit/libmisc/capture/capture-cli.c	(revision d84995d28c141fd6eb0f04606ea35caa316b9eb7)
+++ cpukit/libmisc/capture/capture-cli.c	(revision bdf23b6cd46b877ae251c1b6d65202c11e70a874)
@@ -56,9 +56,6 @@
  * rtems_capture_cli_open
  *
- *  DESCRIPTION:
- *
  * This function opens the capture engine. We need the size of the
  * capture buffer.
- *
  */
 
@@ -130,8 +127,5 @@
  * rtems_capture_cli_close
  *
- *  DESCRIPTION:
- *
  * This function closes the capture engine.
- *
  */
 
@@ -158,8 +152,5 @@
  * rtems_capture_cli_enable
  *
- *  DESCRIPTION:
- *
  * This function enables the capture engine.
- *
  */
 
@@ -186,8 +177,5 @@
  * rtems_capture_cli_disable
  *
- *  DESCRIPTION:
- *
  * This function disables the capture engine.
- *
  */
 
@@ -254,9 +242,6 @@
  * rtems_capture_cli_count_tasks
  *
- *  DESCRIPTION:
- *
  * This function is called for each tcb and counts the
  * number of tasks.
- *
  */
 
@@ -271,8 +256,5 @@
  * rtems_capture_cli_task_list
  *
- *  DESCRIPTION:
- *
  * This function lists the tasks the capture engine knows about.
- *
  */
 
@@ -299,8 +281,5 @@
  * rtems_capture_cli_watch_list
  *
- *  DESCRIPTION:
- *
  * This function lists the controls in the capture engine.
- *
  */
 
@@ -317,8 +296,5 @@
  * rtems_capture_cli_get_name_id
  *
- *  DESCRIPTION:
- *
  * This function checks arguments for a name or an id.
- *
  */
 
@@ -376,9 +352,6 @@
  * rtems_capture_cli_watch_add
  *
- *  DESCRIPTION:
- *
  * This function is a monitor command that add a watch to the capture
  * engine.
- *
  */
 
@@ -439,9 +412,6 @@
  * rtems_capture_cli_watch_del
  *
- *  DESCRIPTION:
- *
  * This function is a monitor command that deletes a watch from the capture
  * engine.
- *
  */
 
@@ -502,8 +472,5 @@
  * rtems_capture_cli_watch_control
  *
- *  DESCRIPTION:
- *
  * This function is a monitor command that controls a watch.
- *
  */
 
@@ -569,8 +536,5 @@
  * rtems_capture_cli_watch_global
  *
- *  DESCRIPTION:
- *
  * This function is a monitor command that sets a global watch.
- *
  */
 
@@ -623,8 +587,5 @@
  * rtems_capture_cli_watch_ceiling
  *
- *  DESCRIPTION:
- *
  * This function is a monitor command that sets watch ceiling.
- *
  */
 
@@ -674,8 +635,5 @@
  * rtems_capture_cli_watch_floor
  *
- *  DESCRIPTION:
- *
  * This function is a monitor command that sets watch floor.
- *
  */
 
@@ -725,8 +683,5 @@
  * rtems_capture_cli_trigger_worker
  *
- *  DESCRIPTION:
- *
  * This function is a monitor command that sets or clears a trigger.
- *
  */
 
@@ -970,8 +925,5 @@
  * rtems_capture_cli_trigger_set
  *
- *  DESCRIPTION:
- *
  * This function is a monitor command that sets a trigger.
- *
  */
 
@@ -988,8 +940,5 @@
  * rtems_capture_cli_trigger_clear
  *
- *  DESCRIPTION:
- *
  * This function is a monitor command that clears a trigger.
- *
  */
 
@@ -1006,8 +955,5 @@
  * rtems_capture_cli_trace_records
  *
- *  DESCRIPTION:
- *
  * This function is a monitor command that dumps trace records.
- *
  */
 
@@ -1055,9 +1001,6 @@
  * rtems_capture_cli_flush
  *
- *  DESCRIPTION:
- *
  * This function is a monitor command that flushes and primes the capture
  * engine.
- *
  */
 
@@ -1230,9 +1173,6 @@
  * rtems_capture_cli_init
  *
- *  DESCRIPTION:
- *
  * This function initialises the command line interface to the capture
  * engine.
- *
  */
 
Index: cpukit/libmisc/capture/capture-cli.h
===================================================================
--- cpukit/libmisc/capture/capture-cli.h	(revision d84995d28c141fd6eb0f04606ea35caa316b9eb7)
+++ cpukit/libmisc/capture/capture-cli.h	(revision bdf23b6cd46b877ae251c1b6d65202c11e70a874)
@@ -42,9 +42,6 @@
  * rtems_capture_cli_init
  *
- *  DESCRIPTION:
- *
  * This function initialises the command line interface to the capture
  * engine.
- *
  */
 rtems_status_code
Index: cpukit/libmisc/capture/capture_support.c
===================================================================
--- cpukit/libmisc/capture/capture_support.c	(revision d84995d28c141fd6eb0f04606ea35caa316b9eb7)
+++ cpukit/libmisc/capture/capture_support.c	(revision bdf23b6cd46b877ae251c1b6d65202c11e70a874)
@@ -50,6 +50,4 @@
 /*
  * rtems_catpure_print_uptime
- *
- *  DESCRIPTION:
  *
  * This function prints the nanosecond uptime to stdout.
@@ -123,10 +121,7 @@
 
 /*
- *  rtems_capture_print_trace_records
- *
- *  DESCRIPTION:
+ * rtems_capture_print_trace_records
  *
  * This function is a monitor command that dumps trace records.
- *
  */
 
Index: cpukit/libmisc/fb/fb.h
===================================================================
--- cpukit/libmisc/fb/fb.h	(revision d84995d28c141fd6eb0f04606ea35caa316b9eb7)
+++ cpukit/libmisc/fb/fb.h	(revision bdf23b6cd46b877ae251c1b6d65202c11e70a874)
@@ -9,7 +9,4 @@
 /*
  * Copyright (c) 2000 - Rosimildo da Silva
- *
- * MODULE DESCRIPTION:
- * Micro FrameBuffer interface for Embedded Systems.
  */
 
Index: cpukit/libmisc/fb/mw_uid.c
===================================================================
--- cpukit/libmisc/fb/mw_uid.c	(revision d84995d28c141fd6eb0f04606ea35caa316b9eb7)
+++ cpukit/libmisc/fb/mw_uid.c	(revision bdf23b6cd46b877ae251c1b6d65202c11e70a874)
@@ -4,13 +4,12 @@
  * @brief MicroWindows UID
  * @ingroup libmisc_fb_mw Input Devices for MicroWindows
+ *
+ * This module implements the input devices interface used by MicroWindows
+ * in an embedded system environment.  It uses the RTEMS message queue as
+ * the repository for the messages posted by the devices registered.
  */
 
 /*
  * Copyright (c) 2000 - Rosimildo da Silva
- *
- * MODULE DESCRIPTION:
- * This module implements the input devices interface used by MicroWindows
- * in an embedded system environment.  It uses the RTEMS message queue as
- * the repository for the messages posted by the devices registered.
  */
 
Index: cpukit/rtems/include/rtems/rtems/sem.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/sem.h	(revision d84995d28c141fd6eb0f04606ea35caa316b9eb7)
+++ cpukit/rtems/include/rtems/rtems/sem.h	(revision bdf23b6cd46b877ae251c1b6d65202c11e70a874)
@@ -18,7 +18,10 @@
  * - acquire a semaphore
  * - release a semaphore
- */
-
-/* COPYRIGHT (c) 1989-2008.
+ * - flush a semaphore
+ * - set ceiling priority for a semaphore
+ */
+
+/*
+ * COPYRIGHT (c) 1989-2008.
  * On-Line Applications Research Corporation (OAR).
  *
@@ -199,6 +202,5 @@
  * @brief RTEMS Semaphore Flush
  *
- * DESCRIPTION:
- * This package is the implementation of the flush directive
+ * This method is the implementation of the flush directive
  * of the Semaphore Manager.
  *
Index: cpukit/rtems/src/barrier.c
===================================================================
--- cpukit/rtems/src/barrier.c	(revision d84995d28c141fd6eb0f04606ea35caa316b9eb7)
+++ cpukit/rtems/src/barrier.c	(revision bdf23b6cd46b877ae251c1b6d65202c11e70a874)
@@ -1,18 +1,11 @@
+/**
+ * @file
+ *
+ * @brief RTEMS Barrier Manager Initialization
+ * @ingroup ClassicBarrier Barriers
+ */
+
 /*
- *  Barrier Manager
- *
- *  DESCRIPTION:
- *
- *  This package is the implementation of the Barrier Manager.
- *
- *  Directives provided are:
- *
- *     + create a barrier
- *     + get an ID of a barrier
- *     + delete a barrier
- *     + acquire a barrier
- *     + release a barrier
- *
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2015.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -34,10 +27,5 @@
 /**
  *  @brief _Barrier_Manager_initialization
- *
- *  Input parameters:   NONE
- *
- *  Output parameters:  NONE
  */
-
 void _Barrier_Manager_initialization(void)
 {
Index: cpukit/rtems/src/semrelease.c
===================================================================
--- cpukit/rtems/src/semrelease.c	(revision d84995d28c141fd6eb0f04606ea35caa316b9eb7)
+++ cpukit/rtems/src/semrelease.c	(revision bdf23b6cd46b877ae251c1b6d65202c11e70a874)
@@ -5,18 +5,6 @@
  * @ingroup ClassicSem Semaphores
  *
- *  DESCRIPTION:
- *
- *  This package is the implementation of the Semaphore Manager.
- *  This manager utilizes standard Dijkstra counting semaphores to provide
- *  synchronization and mutual exclusion capabilities.
- *
- *  Directives provided are:
- *
- *     + create a semaphore
- *     + get an ID of a semaphore
- *     + delete a semaphore
- *     + acquire a semaphore
- *     + release a semaphore
- *
+ * This file contains the implementation of the Classic API directive
+ * rtems_semaphore_release().
  */
 
Index: cpukit/score/cpu/m68k/rtems/score/m68k.h
===================================================================
--- cpukit/score/cpu/m68k/rtems/score/m68k.h	(revision d84995d28c141fd6eb0f04606ea35caa316b9eb7)
+++ cpukit/score/cpu/m68k/rtems/score/m68k.h	(revision bdf23b6cd46b877ae251c1b6d65202c11e70a874)
@@ -481,11 +481,9 @@
  *  _CPU_virtual_to_physical
  *
- *  DESCRIPTION:
- *
- *	This function is used to map virtual addresses to physical
- *	addresses.
- *
- *	FIXME: ASSUMES THAT VIRTUAL ADDRESSES ARE THE SAME AS THE
- *	PHYSICAL ADDRESSES
+ *  This function is used to map virtual addresses to physical
+ *  addresses.
+ *
+ *  FIXME: ASSUMES THAT VIRTUAL ADDRESSES ARE THE SAME AS THE
+ *  PHYSICAL ADDRESSES
  */
 static inline void * _CPU_virtual_to_physical (
Index: cpukit/score/include/rtems/score/coremsgimpl.h
===================================================================
--- cpukit/score/include/rtems/score/coremsgimpl.h	(revision d84995d28c141fd6eb0f04606ea35caa316b9eb7)
+++ cpukit/score/include/rtems/score/coremsgimpl.h	(revision bdf23b6cd46b877ae251c1b6d65202c11e70a874)
@@ -114,6 +114,4 @@
  *  @brief Initialize a message queue.
  *
- *  DESCRIPTION:
- *
  *  This package is the implementation of the CORE Message Queue Handler.
  *  This core object provides task synchronization and communication functions
@@ -145,5 +143,4 @@
  *  @brief Close a message queue.
  *
- *  DESCRIPTION:
  *  This package is the implementation of the CORE Message Queue Handler.
  *  This core object provides task synchronization and communication functions
@@ -168,5 +165,4 @@
  *  @brief Flush pending messages.
  *
- *  DESCRIPTION:
  *  This package is the implementation of the CORE Message Queue Handler.
  *  This core object provides task synchronization and communication functions
@@ -221,5 +217,4 @@
  *  @brief Broadcast a message to the message queue.
  *
- *  DESCRIPTION:
  *  This package is the implementation of the CORE Message Queue Handler.
  *  This core object provides task synchronization and communication functions
@@ -290,5 +285,4 @@
  *  @brief Size a message from the message queue.
  *
- *  DESCRIPTION:
  *  This package is the implementation of the CORE Message Queue Handler.
  *  This core object provides task synchronization and communication functions
Index: cpukit/score/include/rtems/score/coresemimpl.h
===================================================================
--- cpukit/score/include/rtems/score/coresemimpl.h	(revision d84995d28c141fd6eb0f04606ea35caa316b9eb7)
+++ cpukit/score/include/rtems/score/coresemimpl.h	(revision bdf23b6cd46b877ae251c1b6d65202c11e70a874)
@@ -81,6 +81,4 @@
 /**
  *  @brief Initialize the semaphore based on the parameters passed.
- *
- *  DESCRIPTION:
  *
  *  This package is the implementation of the CORE Semaphore Handler.
@@ -148,5 +146,4 @@
  *  @brief Core semaphore flush.
  *
- *  DESCRIPTION:
  *  This package is the implementation of the CORE Semaphore Handler.
  *  This core object utilizes standard Dijkstra counting semaphores to provide
Index: cpukit/score/src/coremutexsurrender.c
===================================================================
--- cpukit/score/src/coremutexsurrender.c	(revision d84995d28c141fd6eb0f04606ea35caa316b9eb7)
+++ cpukit/score/src/coremutexsurrender.c	(revision bdf23b6cd46b877ae251c1b6d65202c11e70a874)
@@ -72,6 +72,4 @@
  *  _CORE_mutex_Surrender
  *
- *  DESCRIPTION:
- *
  *  This routine frees a unit to the mutex.  If a task was blocked waiting for
  *  a unit from this mutex, then that task will be readied and the unit
